#
# Conditional build:
%bcond_with	tests	# unit tests

%define 	module	resolvelib
Summary:	Resolve abstract dependencies into concrete ones
Name:		python3-%{module}
Version:	1.0.1
Release:	1%{?tld}
License:	ISC
Group:		Libraries/Python
Source0:	https://github.com/sarugaku/resolvelib/archive/refs/tags/%{version}.tar.gz
# Source0-md5:	8b974341f0aa7532d2a093fa79dd4b1e
Patch0:		remove-commentjson-dep.patch
URL:		https://github.com/sarugaku/resolvelib
BuildRequires:	python3-modules >= 1:3.6
BuildRequires:	python3-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ResolveLib at the highest level provides a Resolver class that
includes dependency resolution logic. You give it some things, and a
little information on how it should interact with them, and it will
spit out a resolution result.

%prep
%setup -q -n %{module}-%{version}
%patch0 -p1

%build
%py3_build %{?with_tests:test}

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.rst
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{module}-%{version}-py*.egg-info
%changelog
* Sun Apr 28 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/python3-resolvelib.git;a=log;h=master

* Sun Apr 28 2024 Marcin Krol <hawk@tld-linux.org> a69e96b
- new

